Google to drop support for older browsers

On August 1st, Google plans to drop support for older browsers. This is a good thing! Using an older browser makes it much more likely that you’ll get a virus on your machine (at least if you run Windows), or succumb to a nasty javascript attack to steal your passwords (a browser on any OS is vulnerable to that) but old browsers also don’t conform to the most current web standards (HTML5) which forces folks like me to do all sorts of hacks behind the scenes to make things display correctly just for you and slows down the pace of web development for everyone. Forcing people to “get with the program” and upgrade their old software isn’t as onerous as it sounds – most browsers are free and newer versions are generally faster and easier to use. Unless you’re already using Chrome (which auto updates behind the scenes – I’m currently on 11.0.696.77), you should check to make sure that you are using an up to date browser before August 1st so you aren’t caught unaware. Google plans to support only the current version and the prior version of modern browsers, which means after Aug 1 they will only support (read: “work on”) Firefox 4 and Firefox 3.6. Visiting Google in Firefox 3.5 will probably thow some kind of error telling you to get busy and upgrade. If you use Chrome, same thing. If you’re using Internet Explorer, what are you thinking!? Well, you can use whatever you want but you should know that after that time IE7 will no longer work (IE 9 is current version). Its not just Google pushing this either. Microsoft has a Moving the World off IE6 site.

official Google release


This page was created in 1.031 seconds.